# Installation/Development via pip
1. create virtual environment: `python3 -m venv venv`
2. activate it: `. venv/bin/activate`
3. install Django: `pip install -r requirements.txt`
4. Initialize DB: `python3 manage.py migrate`
5. Run Django project: `python3 manage.py runserver`

# Running Docker/Podman image
## Locally
    podman build -t isotables isotables
    podman run -p 8000:8000 localhost/isotable

## IPKM registry

    podman pull gitea.pkm.physik.tu-darmstadt.de/ipkm/isotables
    podman run -p 8000:8000 gitea.pkm.physik.tu-darmstadt.de/ipkm/isotable
    

# Docker/Podman Push to IPKM registry
    podman login gitea.pkm.physik.tu-darmstadt.de
    podman build -t  gitea.pkm.physik.tu-darmstadt.de/ipkm/isotables
    # or name an existing local image
    # podman tag {some-existing-image}:{tag} gitea.pkm.physik.tu-darmstadt.de/ipkm/isotables
    podman push gitea.pkm.physik.tu-darmstadt.de/ipkm/isotables

